catalog:
  title: Data set for DLIB face pose estimation

templates:
- freestyle
- base

variables:
  description: Downloads and deploys the DLIB face pose estimation dat file
  keywords:
  - data set
  - face recognition
  - learning
  - dlib
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  branches:
  - master

  platform-requires:
    ubuntu:
      packages:
      - bzip2

  shell.command: |
    mkdir -p ${toolkit.dir}/share/dlib && \
    wget -N --progress=dot:mega http://dlib.net/files/shape_predictor_68_face_landmarks.dat.bz2 && \
    bzcat shape_predictor_68_face_landmarks.dat.bz2 > ${toolkit.dir}/share/dlib/shape_predictor_68_face_landmarks.dat && \
    wget -N --progress=dot:mega https://github.com/davisking/dlib-models/raw/master/dlib_face_recognition_resnet_model_v1.dat.bz2 && \
    bzcat dlib_face_recognition_resnet_model_v1.dat.bz2 > ${toolkit.dir}/share/dlib/dlib_face_recognition_resnet_model_v1.dat

versions:
- name: dlib.net
